Loading...
Searching...
No Matches
portsmodel::Port::DeviceChangedEvent Struct Reference

Event: The device connected to the port has changed. More...

Inheritance diagram for portsmodel::Port::DeviceChangedEvent:

## Public Attributes

Object | oldDevice
| Connected device before change.
Object | newDevice
| Connected device after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: The device connected to the port has changed.

Definition at line 79 of file Port.idl.

## Member Data Documentation

## newDevice

Object portsmodel::Port::DeviceChangedEvent::newDevice

Connected device after change.

Definition at line 81 of file Port.idl.

## oldDevice

Object portsmodel::Port::DeviceChangedEvent::oldDevice

Connected device before change.

Definition at line 80 of file Port.idl.

The documentation for this struct was generated from the following file:

- Port.idl